Bug 1360286 (CVE-2016-7103) - CVE-2016-7103 jquery-ui: cross-site scripting in dialog closeText
Summary: CVE-2016-7103 jquery-ui: cross-site scripting in dialog closeText
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-7103
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1438799 1438800 1360289 1360290 1360291 1371008 1371010 1371011 1371012 1371013 1371014 1371015 1371016
Blocks: 1360295
TreeView+ depends on / blocked
 
Reported: 2016-07-26 12:00 UTC by Martin Prpič
Modified: 2019-09-29 13:54 UTC (History)
32 users (show)

Fixed In Version: jquery-ui 1.12.0
Doc Type: Bug Fix
Doc Text:
It was found that a parameter of the dialog box feature of jQuery UI was vulnerable to cross site scripting. An attacker could use this flaw to execute a malicious script via the dialog box when it was displayed to a user.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:56:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2932 normal SHIPPED_LIVE Low: python-XStatic-jquery-ui security update 2016-12-08 21:16:23 UTC
Red Hat Product Errata RHSA-2016:2933 normal SHIPPED_LIVE Low: python-XStatic-jquery-ui security update 2016-12-08 21:16:16 UTC
Red Hat Product Errata RHSA-2017:0161 normal SHIPPED_LIVE Low: python-XStatic-jquery-ui security update 2017-01-19 18:18:32 UTC

Description Martin Prpič 2016-07-26 12:00:52 UTC
It was found that jQuery-UI, a library for manipulating UI elements via jQuery, has a cross site scripting (XSS) vulnerability in the closeText parameter of the dialog function. If an application passes user input to this parameter, it may be vulnerable to XSS.

Upstream patch:

https://github.com/jquery/jquery-ui/pull/1622

External References:

https://nodesecurity.io/advisories/127

Comment 1 Martin Prpič 2016-07-26 12:02:27 UTC
Created python-XStatic-jquery-ui tracking bugs for this issue:

Affects: fedora-all [bug 1360289]
Affects: epel-7 [bug 1360291]

Comment 2 Martin Prpič 2016-07-26 12:02:46 UTC
Created rubygem-jquery-ui-rails tracking bugs for this issue:

Affects: fedora-all [bug 1360290]

Comment 10 Tim Suter 2016-11-09 01:20:06 UTC
I have downgraded the impact to low as its unlikely that a user controlled variable would be passed to the dialog box close field

Comment 11 errata-xmlrpc 2016-12-08 16:16:56 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2016:2933 https://rhn.redhat.com/errata/RHSA-2016-2933.html

Comment 12 errata-xmlrpc 2016-12-08 16:17:40 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 8.0 (Liberty)

Via RHSA-2016:2932 https://rhn.redhat.com/errata/RHSA-2016-2932.html

Comment 13 errata-xmlrpc 2017-01-19 13:24:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7

Via RHSA-2017:0161 https://rhn.redhat.com/errata/RHSA-2017-0161.html

Comment 15 Tim Suter 2017-04-04 12:41:27 UTC
Created python-XStatic-jquery-ui tracking bugs for this issue:

Affects: openstack-rdo [bug 1438800]


Created rubygem-jquery-ui-rails tracking bugs for this issue:

Affects: openstack-rdo [bug 1438799]

Comment 16 Tim Suter 2017-04-04 12:42:40 UTC
> can we get a tracker for RDO as it is impacted and was missed when this was created.

Hi Jon,

I've added tracking bugs for both the affected python and ruby libraries in RDO

Comment 17 Kurt Seifried 2017-12-18 22:15:18 UTC
Statement:

Red Hat Enterprise Satellite 5 is now in phase 3 of the support and maintenance life cycle. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Satellite 5 Life Cycle: https://access.redhat.com/support/policy/updates/satellite.


Note You need to log in before you can comment on or make changes to this bug.